Subject: Re: linux-next: manual merge of the drm tree with the drm-misc-fixes tree

From: Mark Brown <[email-masked]>
Date: Wed, 8 Apr 2026 18:26:04 +0100

On Fri, Mar 20, 2026 at 04:39:02PM +0100, Boris Brezillon wrote:
> Mark Brown <[email-masked]> wrote:

> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.

> I have a slightly different conflict resolution (it's the one we currently
> have in drm-tip[1]).

> [1]https://gitlab.freedesktop.org/drm/tip

Sorry, this got buried and won't be relevant any more - for future
reference if you could send an incremental patch on top of the merge
that was there that is much easier for me to ingest.  Merges are
remembered with git rerere and then fixed up with patches on top of that
if needed.